;PIC12F683   KONBANWA

;            _____________
;  VDD 5V  =1;            ;8= 0V VSS
;           2;(GP5)  (GP0);7=X^[g
;           3;(GP4)  (GP1);6=ύX
;  @@@@=4;(GP3)  (GP2);5=PWM ó@@@@@@@@ @@
;            _____________@@@@@@@@@@@   



	list      p=12f683	; |󎞂ɃXgt@C܂
	#include <p12f683.inc>	; 12F683p`t@Cǂݍ݂܂
	errorlevel  -302	; |󎞂302G[oȂ悤ɂ܂

	__CONFIG _CP_OFF & _CPD_OFF & _MCLRE_OFF & _WDT_OFF & _PWRTE_ON & _HS_OSC

	radix	dec		; ȗ̐l\POiɂ܂B

	ORG	000H
	GOTO	INIT 


	ROUND1	EQU	20H
	ROUND2	EQU	21H
	DATA1	EQU	22H
	DATA2	EQU	23H
	TONE	EQU	24H
	T0	EQU	25H
	T1	EQU	26H
	T2	EQU	27H
;	T3	EQU	28H
;	T4	EQU	29H
;	T5	EQU	2AH
	DAT	EQU	2BH

	DATA13	EQU	2CH
	DATA14	EQU	2DH
	DATA15	EQU	2EH
	DATA16	EQU	2FH
	DATA17	EQU	30H
	DATA18	EQU	31H
	DATA19	EQU	32H
	DATA20	EQU	33H
	DATA21	EQU	34H
	DATA22	EQU	35H
	DATA23	EQU	36H
	DATA24	EQU	37H
	DATA25	EQU	38H
	DATA26	EQU	39H
	DATA27	EQU	3AH
	DATA28	EQU	3BH
	DATA29	EQU	3CH
	DATA30	EQU	3DH
	DATA31	EQU	3EH
	DATA32	EQU	3FH
	DATA33	EQU	40H
	DATA34	EQU	41H
	DATA35	EQU	42H
	DATA36	EQU	43H
	DATA37	EQU	44H
	DATA38	EQU	45H
	DATA39	EQU	46H
	DATA40	EQU	47H
	DATA41	EQU	48H
	DATA42	EQU	49H
	DATA43	EQU	4AH
	DATA44	EQU	4BH
	DATA45	EQU	4CH
	DATA46	EQU	4DH
	DATA47	EQU	4EH
	DATA48	EQU	4FH
	DATA49	EQU	50H
	DATA50	EQU	51H
	DATA51	EQU	52H
	DATA52	EQU	53H
	DATA53	EQU	54H
	DATA54	EQU	55H
	DATA55	EQU	56H
	DATA56	EQU	57H
	DATA57	EQU	58H
	DATA58	EQU	59H
	DATA59	EQU	5AH
	DATA60	EQU	5BH
	DATA61	EQU	5CH
	DATA62	EQU	5DH
	DATA63	EQU	5EH
	DATA64	EQU	5FH
	DATA65	EQU	60H
	DATA66	EQU	61H
	DATA67	EQU	62H
	DATA68	EQU	63H
	DATA69	EQU	64H
	DATA70	EQU	65H
	DATA71	EQU	66H
	DATA72	EQU	67H
	DATA73	EQU	68H
	DATA74	EQU	69H
	DATA75	EQU	6AH
	DATA76	EQU	6BH
	DATA77	EQU	6CH
	DATA78	EQU	6DH
	DATA79	EQU	6EH
	DATA80	EQU	6FH


;	DAT		EQU	74H
	DAT2		EQU	75H
	DAT3		EQU	76H
;			EQU	77H
;			EQU	78H





;---- [` ----
INIT:

	BSF	STATUS,RP0			;BANK 1

	MOVLW   B'001011'			;0=, 1=, 2=PWM, 3=PB PLAY, 4=, 5=,
	MOVWF	TRISIO                      	;GPIO

	MOVLW   B'10000111'                 
	MOVWF	OPTION_REG 
                       		
	MOVLW	B'00000000'			;0_, 000=Fosc/2, GP3, GP2, GP1, GP0,
	MOVWF	ANSEL

	MOVLW	B'01100000'			;0_, 110=4MHz, 0_, 0_, 0_, 0_, 
	MOVWF	OSCCON

	MOVLW	D'255'
	MOVWF	PR2		;PWM


	MOVLW	B'00000010'	;TMR2-PR2 v荞݋tO 
	MOVWF	PIE1					

	BCF	STATUS,RP0			;BANK 0

	MOVLW	B'00000111'			;GP2,GP1,GP0,
	MOVWF	CMCON0

	MOVLW	B'00001100'	;
	MOVWF	CCP1CON		;PWM[h

	MOVLW	B'00000100'	;
	MOVWF	T2CON		;Timer2 ON ,vXP[:[1:1]

	CLRF	TMR2
	CLRF	DAT
	CLRF	TONE

	MOVLW	D'4'
	MOVWF	DATA1

	MOVLW	D'48'
	MOVWF	DATA2

	GOTO	MAIN0

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
MAIN0
	BTFSS	GPIO,0
	GOTO	MAIN0_1
	BTFSS	GPIO,1
	CALL	MAIN10
	CALL	T_2
	GOTO	MAIN0

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

MAIN0_1
	CALL	MAIN1
	CALL	MAIN_A
	CALL	MAIN2
	CALL	MAIN_B		
	CALL	MAIN3
	CALL	MAIN_C
	CALL	MAIN4
	CALL	MAIN_D
	CALL	MAIN5
	CALL	MAIN_E
	CALL	MAIN6

	GOTO	MAIN0
	
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
T_0
	MOVLW	D'255'
	MOVWF	T0
T_0LP
	NOP
	DECFSZ	T0,F
	GOTO	T_0LP
	RETURN

T_1
	MOVLW	D'255'
	MOVWF	T1
T_1LP
	CALL	T_0	
	DECFSZ	T1,F
	GOTO	T_1LP
	RETURN

T_2
	MOVLW	D'5'
	MOVWF	T2
T_2LP
	CALL	T_1	
	DECFSZ	T2,F
	GOTO	T_2LP
	RETURN

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

MAIN1
	MOVF	DATA1,W
	MOVWF	ROUND1

MAIN1_1
			
	BTFSS	PIR1,TMR2IF
	GOTO	MAIN1_1
	BCF	PIR1,TMR2IF

	CALL	DATA_TABLE1
	MOVWF	CCPR1L	
	
	DECFSZ	ROUND1,F
	GOTO	MAIN1_1

	INCF	DAT,F

	MOVLW	D'108'		;<<<<<<<<f[^
	SUBWF	DAT,W
	BTFSS	STATUS,C
	GOTO	MAIN1
	CLRF	DAT
	RETURN

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

MAIN2
	MOVF	DATA1,W
	MOVWF	ROUND1

MAIN2_1
			
	BTFSS	PIR1,TMR2IF
	GOTO	MAIN2_1
	BCF	PIR1,TMR2IF

	CALL	DATA_TABLE2
	MOVWF	CCPR1L	
	
	DECFSZ	ROUND1,F
	GOTO	MAIN2_1

	INCF	DAT,F

	MOVLW	D'168'		;<<<<<<<<f[^
	SUBWF	DAT,W
	BTFSS	STATUS,C
	GOTO	MAIN2
	CLRF	DAT
	RETURN

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

MAIN3
	MOVF	DATA1,W
	MOVWF	ROUND1
MAIN3_1
			
	BTFSS	PIR1,TMR2IF
	GOTO	MAIN3_1
	BCF	PIR1,TMR2IF

	CALL	DATA_TABLE3
	MOVWF	CCPR1L	
	
	DECFSZ	ROUND1,F
	GOTO	MAIN3_1

	INCF	DAT,F

	MOVLW	D'48'		;<<<<<<<<f[^
	SUBWF	DAT,W
	BTFSS	STATUS,C
	GOTO	MAIN3
	CLRF	DAT
	RETURN

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

MAIN4
	MOVF	DATA1,W
	MOVWF	ROUND1

MAIN4_1
			
	BTFSS	PIR1,TMR2IF
	GOTO	MAIN4_1
	BCF	PIR1,TMR2IF

	CALL	DATA_TABLE4
	MOVWF	CCPR1L	
	
	DECFSZ	ROUND1,F
	GOTO	MAIN4_1

	INCF	DAT,F

	MOVLW	D'216'		;<<<<<<<<f[^
	SUBWF	DAT,W
	BTFSS	STATUS,C
	GOTO	MAIN4
	CLRF	DAT
	RETURN

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

MAIN5
	MOVF	DATA1,W
	MOVWF	ROUND1

MAIN5_1
			
	BTFSS	PIR1,TMR2IF
	GOTO	MAIN5_1
	BCF	PIR1,TMR2IF

	CALL	DATA_TABLE5
	MOVWF	CCPR1L	
	
	DECFSZ	ROUND1,F
	GOTO	MAIN5_1

	INCF	DAT,F

	MOVLW	D'132'		;<<<<<<<<f[^
	SUBWF	DAT,W
	BTFSS	STATUS,C
	GOTO	MAIN5
	CLRF	DAT
	RETURN

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

MAIN6
	MOVF	DATA1,W
	MOVWF	ROUND1

MAIN6_1
			
	BTFSS	PIR1,TMR2IF
	GOTO	MAIN6_1
	BCF	PIR1,TMR2IF

	CALL	DATA_TABLE6
	MOVWF	CCPR1L	
	
	DECFSZ	ROUND1,F
	GOTO	MAIN6_1

	INCF	DAT,F

	MOVLW	D'168'		;<<<<<<<<f[^
	SUBWF	DAT,W
	BTFSS	STATUS,C
	GOTO	MAIN6
	CLRF	DAT
	RETURN

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

MAIN_A
	MOVF	DATA2,W
	MOVWF	ROUND2

MAIN_A_0
	MOVF	DATA1,W
	MOVWF	ROUND1

MAIN_A_1

	BTFSS	PIR1,TMR2IF
	GOTO	MAIN_A_1
	BCF	PIR1,TMR2IF

	CALL	DATA_TABLE_A
	MOVWF	CCPR1L	
	
	DECFSZ	ROUND1,F
	GOTO	MAIN_A_1

	INCF	DAT,F

	MOVLW	D'12'		;<<<<<<<<f[^
	SUBWF	DAT,W
	BTFSS	STATUS,C
	GOTO	MAIN_A_0
	CLRF	DAT
	DECFSZ	ROUND2,F
	GOTO	MAIN_A_0
	RETURN

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

MAIN_B
	MOVF	DATA2,W
	MOVWF	ROUND2

MAIN_B_0
	MOVF	DATA1,W
	MOVWF	ROUND1

MAIN_B_1

	BTFSS	PIR1,TMR2IF
	GOTO	MAIN_B_1
	BCF	PIR1,TMR2IF

	CALL	DATA_TABLE_B
	MOVWF	CCPR1L	
	
	DECFSZ	ROUND1,F
	GOTO	MAIN_B_1

	INCF	DAT,F

	MOVLW	D'12'		;<<<<<<<<f[^
	SUBWF	DAT,W
	BTFSS	STATUS,C
	GOTO	MAIN_B_0
	CLRF	DAT
	DECFSZ	ROUND2,F
	GOTO	MAIN_B_0
	RETURN

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

MAIN_C
	MOVF	DATA2,W
	MOVWF	ROUND2

MAIN_C_0
	MOVF	DATA1,W
	MOVWF	ROUND1

MAIN_C_1

	BTFSS	PIR1,TMR2IF
	GOTO	MAIN_C_1
	BCF	PIR1,TMR2IF

	CALL	DATA_TABLE_C
	MOVWF	CCPR1L	
	
	DECFSZ	ROUND1,F
	GOTO	MAIN_C_1

	INCF	DAT,F

	MOVLW	D'12'		;<<<<<<<<f[^
	SUBWF	DAT,W
	BTFSS	STATUS,C
	GOTO	MAIN_C_0
	CLRF	DAT
	DECFSZ	ROUND2,F
	GOTO	MAIN_C_0
	RETURN

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

MAIN_D
	MOVF	DATA2,W
	MOVWF	ROUND2

MAIN_D_0
	MOVF	DATA1,W
	MOVWF	ROUND1

MAIN_D_1

	BTFSS	PIR1,TMR2IF
	GOTO	MAIN_D_1
	BCF	PIR1,TMR2IF

	CALL	DATA_TABLE_D
	MOVWF	CCPR1L	
	
	DECFSZ	ROUND1,F
	GOTO	MAIN_D_1

	INCF	DAT,F

	MOVLW	D'12'		;<<<<<<<<f[^
	SUBWF	DAT,W
	BTFSS	STATUS,C
	GOTO	MAIN_D_0
	CLRF	DAT
	DECFSZ	ROUND2,F
	GOTO	MAIN_D_0
	RETURN

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

MAIN_E
	MOVF	DATA2,W
	MOVWF	ROUND2

MAIN_E_0
	MOVF	DATA1,W
	MOVWF	ROUND1

MAIN_E_1

	BTFSS	PIR1,TMR2IF
	GOTO	MAIN_E_1
	BCF	PIR1,TMR2IF

	CALL	DATA_TABLE_E
	MOVWF	CCPR1L	
	
	DECFSZ	ROUND1,F
	GOTO	MAIN_E_1

	INCF	DAT,F

	MOVLW	D'12'		;<<<<<<<<f[^
	SUBWF	DAT,W
	BTFSS	STATUS,C
	GOTO	MAIN_E_0
	CLRF	DAT
	DECFSZ	ROUND2,F
	GOTO	MAIN_E_0
	RETURN




;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
MAIN10
	CALL	TONE_TABLE
	
	INCF	TONE,F
	INCF	TONE,F
	INCF	TONE,F
	INCF	TONE,F
	INCF	TONE,F

	MOVLW	D'25'		;<<<<<<<<f[^
	SUBWF	TONE,W
	BTFSS	STATUS,C
	RETURN
	CLRF	TONE
	RETURN	



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	300H

DATA_TABLE_A
						
	MOVLW	H'03'
	MOVWF	PCLATH	; e[u 0x300`0x3FFԒnɑ
	
	ANDLW	B'11111111'	

	MOVF	DAT,W
	ADDWF	PCL,F

	RETLW	D'230'	;1
	RETLW	D'130'	;
	RETLW	D'30'	;
	RETLW	D'130'	;
	RETLW	D'190'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'70'	;
	RETLW	D'90'	;
	RETLW	D'130'	;
	RETLW	D'90'	;
	RETLW	D'130'	;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	315H

DATA_TABLE_B
						
	MOVLW	H'03'
	MOVWF	PCLATH	; e[u 0x300`0x3FFԒnɑ
	
	ANDLW	B'11111111'	

	MOVF	DAT,W
	ADDWF	PCL,F


	RETLW	D'150'	;1
	RETLW	D'170'	;
	RETLW	D'160'	;
	RETLW	D'130'	;
	RETLW	D'100'	;
	RETLW	D'90'	;
	RETLW	D'90'	;
	RETLW	D'90'	;
	RETLW	D'100'	;
	RETLW	D'130'	;
	RETLW	D'160'	;
	RETLW	D'170'	;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	32AH

DATA_TABLE_C
						
	MOVLW	H'03'
	MOVWF	PCLATH	; e[u 0x300`0x3FFԒnɑ
	
	ANDLW	B'11111111'	

	MOVF	DAT,W
	ADDWF	PCL,F

	RETLW	D'250'	;1
	RETLW	D'10'	;
	RETLW	D'220'	;
	RETLW	D'130'	;
	RETLW	D'40'	;
	RETLW	D'130'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'90'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'110'	;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	340H

DATA_TABLE_D
						
	MOVLW	H'03'
	MOVWF	PCLATH	; e[u 0x300`0x3FFԒnɑ
	
	ANDLW	B'11111111'	

	MOVF	DAT,W
	ADDWF	PCL,F

	RETLW	D'190'	;1
	RETLW	D'130'	;
	RETLW	D'70'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'140'	;
	RETLW	D'150'	;
	RETLW	D'130'	;
	RETLW	D'110'	;
	RETLW	D'100'	;
	RETLW	D'110'	;
	RETLW	D'130'	;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	35AH

DATA_TABLE_E
						
	MOVLW	H'03'
	MOVWF	PCLATH	; e[u 0x300`0x3FFԒnɑ
	
	ANDLW	B'11111111'	

	MOVF	DAT,W
	ADDWF	PCL,F

	RETLW	D'230'	;1
	RETLW	D'30'	;
	RETLW	D'200'	;
	RETLW	D'130'	;
	RETLW	D'60'	;
	RETLW	D'130'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'90'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'110'	;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	370H

DATA_TABLE1
						
	MOVLW	H'03'
	MOVWF	PCLATH	; e[u 0x300`0x3FFԒnɑ
	
	ANDLW	B'11111111'	

	MOVF	DAT,W
	ADDWF	PCL,F

	RETLW	D'180'	;1
	RETLW	D'80'	;
	RETLW	D'180'	;
	RETLW	D'80'	;
	RETLW	D'180'	;
	RETLW	D'80'	;
	RETLW	D'180'	;
	RETLW	D'80'	;
	RETLW	D'180'	;
	RETLW	D'80'	;
	RETLW	D'160'	;
	RETLW	D'100'	;

	RETLW	D'145'	;2
	RETLW	D'115'	;
	RETLW	D'145'	;
	RETLW	D'115'	;
	RETLW	D'144'	;
	RETLW	D'116'	;
	RETLW	D'143'	;
	RETLW	D'117'	;
	RETLW	D'142'	;
	RETLW	D'118'	;
	RETLW	D'141'	;
	RETLW	D'119'	;

	RETLW	D'140'	;3
	RETLW	D'120'	;
	RETLW	D'140'	;
	RETLW	D'120'	;
	RETLW	D'139'	;
	RETLW	D'121'	;
	RETLW	D'138'	;
	RETLW	D'122'	;
	RETLW	D'137'	;
	RETLW	D'123'	;
	RETLW	D'136'	;
	RETLW	D'124'	;

	RETLW	D'135'	;4
	RETLW	D'125'	;
	RETLW	D'135'	;
	RETLW	D'125'	;
	RETLW	D'135'	;
	RETLW	D'125'	;
	RETLW	D'135'	;
	RETLW	D'125'	;
	RETLW	D'135'	;
	RETLW	D'125'	;
	RETLW	D'135'	;
	RETLW	D'125'	;

	RETLW	D'130'	;5
	RETLW	D'130'	;
	RETLW	D'130'	;
	RETLW	D'130'	;
	RETLW	D'130'	;
	RETLW	D'130'	;
	RETLW	D'130'	;
	RETLW	D'130'	;
	RETLW	D'130'	;
	RETLW	D'130'	;
	RETLW	D'135'	;
	RETLW	D'125'	;

	RETLW	D'210'	;6
	RETLW	D'180'	;
	RETLW	D'130'	;
	RETLW	D'50'	;
	RETLW	D'80'	;
	RETLW	D'130'	;
	RETLW	D'180'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'80'	;
	RETLW	D'90'	;
	RETLW	D'130'	;


	RETLW	D'210'	;7
	RETLW	D'180'	;
	RETLW	D'130'	;
	RETLW	D'50'	;
	RETLW	D'80'	;
	RETLW	D'130'	;
	RETLW	D'180'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'80'	;
	RETLW	D'90'	;
	RETLW	D'130'	;


	RETLW	D'210'	;8
	RETLW	D'130'	;
	RETLW	D'50'	;
	RETLW	D'130'	;
	RETLW	D'180'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'80'	;
	RETLW	D'90'	;
	RETLW	D'130'	;
	RETLW	D'90'	;
	RETLW	D'130'	;


	RETLW	D'225'	;9
	RETLW	D'130'	;
	RETLW	D'35'	;
	RETLW	D'130'	;
	RETLW	D'190'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'70'	;
	RETLW	D'90'	;
	RETLW	D'130'	;
	RETLW	D'90'	;
	RETLW	D'130'	;



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	400H

DATA_TABLE2
						
	MOVLW	H'04'
	MOVWF	PCLATH	; e[u 0x400`0x4FFԒnɑ
	
	ANDLW	B'11111111'	

	MOVF	DAT,W
	ADDWF	PCL,F

	RETLW	D'230'	;1
	RETLW	D'190'	;
	RETLW	D'130'	;
	RETLW	D'30'	;
	RETLW	D'70'	;
	RETLW	D'130'	;
	RETLW	D'190'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'70'	;
	RETLW	D'90'	;
	RETLW	D'130'	;

	RETLW	D'225'	;2
	RETLW	D'190'	;
	RETLW	D'130'	;
	RETLW	D'35'	;
	RETLW	D'70'	;
	RETLW	D'130'	;
	RETLW	D'190'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'70'	;
	RETLW	D'90'	;
	RETLW	D'130'	;

	RETLW	D'220'	;3
	RETLW	D'185'	;
	RETLW	D'130'	;
	RETLW	D'40'	;
	RETLW	D'75'	;
	RETLW	D'130'	;
	RETLW	D'185'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'75'	;
	RETLW	D'90'	;
	RETLW	D'130'	;

	RETLW	D'210'	;4
	RETLW	D'180'	;
	RETLW	D'130'	;
	RETLW	D'50'	;
	RETLW	D'80'	;
	RETLW	D'130'	;
	RETLW	D'180'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'80'	;
	RETLW	D'90'	;
	RETLW	D'130'	;

	RETLW	D'200'	;5
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'60'	;
	RETLW	D'90'	;
	RETLW	D'130'	;
	RETLW	D'170'	;
	RETLW	D'160'	;
	RETLW	D'130'	;
	RETLW	D'90'	;
	RETLW	D'100'	;
	RETLW	D'130'	;

	RETLW	D'190'	;6
	RETLW	D'160'	;
	RETLW	D'130'	;
	RETLW	D'70'	;
	RETLW	D'100'	;
	RETLW	D'130'	;
	RETLW	D'160'	;
	RETLW	D'150'	;
	RETLW	D'130'	;
	RETLW	D'100'	;
	RETLW	D'110'	;
	RETLW	D'130'	;

	RETLW	D'180'	;7
	RETLW	D'150'	;
	RETLW	D'130'	;
	RETLW	D'110'	;
	RETLW	D'120'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'140'	;
	RETLW	D'130'	;
	RETLW	D'110'	;
	RETLW	D'120'	;
	RETLW	D'130'	;

	RETLW	D'170'	;8
	RETLW	D'140'	;
	RETLW	D'137'	;
	RETLW	D'130'	;
	RETLW	D'123'	;
	RETLW	D'120'	;
	RETLW	D'90'	;
	RETLW	D'120'	;
	RETLW	D'130'	;
	RETLW	D'140'	;
	RETLW	D'137'	;
	RETLW	D'130'	;

	RETLW	D'140'	;9
	RETLW	D'150'	;
	RETLW	D'140'	;
	RETLW	D'130'	;
	RETLW	D'120'	;
	RETLW	D'110'	;
	RETLW	D'110'	;
	RETLW	D'110'	;
	RETLW	D'120'	;
	RETLW	D'130'	;
	RETLW	D'140'	;
	RETLW	D'150'	;

	RETLW	D'140'	;10
	RETLW	D'150'	;
	RETLW	D'140'	;
	RETLW	D'130'	;
	RETLW	D'120'	;
	RETLW	D'110'	;
	RETLW	D'110'	;
	RETLW	D'110'	;
	RETLW	D'120'	;
	RETLW	D'130'	;
	RETLW	D'140'	;
	RETLW	D'150'	;

	RETLW	D'140'	;11
	RETLW	D'160'	;
	RETLW	D'150'	;
	RETLW	D'130'	;
	RETLW	D'110'	;
	RETLW	D'100'	;
	RETLW	D'100'	;
	RETLW	D'100'	;
	RETLW	D'110'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'160'	;

	RETLW	D'140'	;12
	RETLW	D'160'	;
	RETLW	D'150'	;
	RETLW	D'130'	;
	RETLW	D'110'	;
	RETLW	D'100'	;
	RETLW	D'100'	;
	RETLW	D'100'	;
	RETLW	D'110'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'160'	;

	RETLW	D'140'	;13
	RETLW	D'170'	;
	RETLW	D'160'	;
	RETLW	D'130'	;
	RETLW	D'100'	;
	RETLW	D'90'	;
	RETLW	D'90'	;
	RETLW	D'90'	;
	RETLW	D'100'	;
	RETLW	D'130'	;
	RETLW	D'160'	;
	RETLW	D'170'	;

	RETLW	D'140'	;14
	RETLW	D'170'	;
	RETLW	D'160'	;
	RETLW	D'130'	;
	RETLW	D'100'	;
	RETLW	D'90'	;
	RETLW	D'90'	;
	RETLW	D'90'	;
	RETLW	D'100'	;
	RETLW	D'130'	;
	RETLW	D'160'	;
	RETLW	D'170'	;



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	4B0H

DATA_TABLE3
						
	MOVLW	H'04'
	MOVWF	PCLATH	; e[u 0x400`0x4FFԒnɑ
	
	ANDLW	B'11111111'	

	MOVF	DAT,W
	ADDWF	PCL,F

	RETLW	D'170'	;1
	RETLW	D'130'	;
	RETLW	D'90'	;
	RETLW	D'130'	;
	RETLW	D'160'	;
	RETLW	D'130'	;
	RETLW	D'100'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'130'	;
	RETLW	D'110'	;
	RETLW	D'130'	;

	RETLW	D'190'	;2
	RETLW	D'130'	;
	RETLW	D'70'	;
	RETLW	D'130'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'90'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'130'	;
	RETLW	D'110'	;
	RETLW	D'130'	;

	RETLW	D'210'	;3
	RETLW	D'50'	;
	RETLW	D'190'	;
	RETLW	D'130'	;
	RETLW	D'70'	;
	RETLW	D'130'	;
	RETLW	D'160'	;
	RETLW	D'130'	;
	RETLW	D'100'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'110'	;

	RETLW	D'230'	;4
	RETLW	D'30'	;
	RETLW	D'200'	;
	RETLW	D'130'	;
	RETLW	D'60'	;
	RETLW	D'130'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'90'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'110'	;



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	500H

DATA_TABLE4
						
	MOVLW	H'05'
	MOVWF	PCLATH	; e[u 0x500`0x5FFԒnɑ
	
	ANDLW	B'11111111'	

	MOVF	DAT,W
	ADDWF	PCL,F

	RETLW	D'245'	;1
	RETLW	D'15'	;
	RETLW	D'215'	;
	RETLW	D'130'	;
	RETLW	D'45'	;
	RETLW	D'130'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'90'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'110'	;

	RETLW	D'243'	;2
	RETLW	D'17'	;
	RETLW	D'213'	;
	RETLW	D'130'	;
	RETLW	D'47'	;
	RETLW	D'130'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'90'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'110'	;

	RETLW	D'241'	;3
	RETLW	D'19'	;
	RETLW	D'211'	;
	RETLW	D'130'	;
	RETLW	D'49'	;
	RETLW	D'130'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'90'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'110'	;

	RETLW	D'240'	;4
	RETLW	D'20'	;
	RETLW	D'210'	;
	RETLW	D'130'	;
	RETLW	D'50'	;
	RETLW	D'130'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'90'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'110'	;

	RETLW	D'238'	;5
	RETLW	D'22'	;
	RETLW	D'208'	;
	RETLW	D'130'	;
	RETLW	D'52'	;
	RETLW	D'130'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'90'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'110'	;

	RETLW	D'236'	;6
	RETLW	D'24'	;
	RETLW	D'206'	;
	RETLW	D'130'	;
	RETLW	D'54'	;
	RETLW	D'130'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'90'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'110'	;

	RETLW	D'233'	;7
	RETLW	D'27'	;
	RETLW	D'203'	;
	RETLW	D'130'	;
	RETLW	D'57'	;
	RETLW	D'130'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'90'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'110'	;

	RETLW	D'230'	;8
	RETLW	D'30'	;
	RETLW	D'200'	;
	RETLW	D'130'	;
	RETLW	D'60'	;
	RETLW	D'130'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'90'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'110'	;

	RETLW	D'226'	;9
	RETLW	D'34'	;
	RETLW	D'196'	;
	RETLW	D'130'	;
	RETLW	D'64'	;
	RETLW	D'130'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'90'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'110'	;

	RETLW	D'223'	;10
	RETLW	D'37'	;
	RETLW	D'193'	;
	RETLW	D'130'	;
	RETLW	D'67'	;
	RETLW	D'130'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'90'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'110'	;

	RETLW	D'220'	;11
	RETLW	D'40'	;
	RETLW	D'190'	;
	RETLW	D'130'	;
	RETLW	D'70'	;
	RETLW	D'130'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'90'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'110'	;

	RETLW	D'215'	;12
	RETLW	D'45'	;
	RETLW	D'185'	;
	RETLW	D'130'	;
	RETLW	D'75'	;
	RETLW	D'130'	;
	RETLW	D'165'	;
	RETLW	D'130'	;
	RETLW	D'95'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'110'	;

	RETLW	D'210'	;13
	RETLW	D'50'	;
	RETLW	D'180'	;
	RETLW	D'130'	;
	RETLW	D'80'	;
	RETLW	D'130'	;
	RETLW	D'160'	;
	RETLW	D'130'	;
	RETLW	D'100'	;
	RETLW	D'130'	;
	RETLW	D'140'	;
	RETLW	D'120'	;

	RETLW	D'205'	;14
	RETLW	D'55'	;
	RETLW	D'175'	;
	RETLW	D'130'	;
	RETLW	D'85'	;
	RETLW	D'130'	;
	RETLW	D'155'	;
	RETLW	D'130'	;
	RETLW	D'105'	;
	RETLW	D'130'	;
	RETLW	D'140'	;
	RETLW	D'120'	;

	RETLW	D'200'	;15
	RETLW	D'130'	;
	RETLW	D'60'	;
	RETLW	D'130'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'90'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'130'	;
	RETLW	D'110'	;
	RETLW	D'130'	;

	RETLW	D'195'	;16
	RETLW	D'130'	;
	RETLW	D'65'	;
	RETLW	D'130'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'90'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'130'	;
	RETLW	D'110'	;
	RETLW	D'130'	;

	RETLW	D'192'	;17
	RETLW	D'130'	;
	RETLW	D'68'	;
	RETLW	D'130'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'90'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'130'	;
	RETLW	D'110'	;
	RETLW	D'130'	;

	RETLW	D'191'	;18
	RETLW	D'130'	;
	RETLW	D'69'	;
	RETLW	D'130'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'90'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'130'	;
	RETLW	D'110'	;
	RETLW	D'130'	;



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	600H

DATA_TABLE5
						
	MOVLW	H'06'
	MOVWF	PCLATH	; e[u 0x600`0x6FFԒnɑ
	
	ANDLW	B'11111111'	

	MOVF	DAT,W
	ADDWF	PCL,F

	RETLW	D'190'	;1
	RETLW	D'130'	;
	RETLW	D'70'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'140'	;
	RETLW	D'150'	;
	RETLW	D'130'	;
	RETLW	D'110'	;
	RETLW	D'100'	;
	RETLW	D'110'	;
	RETLW	D'130'	;

	RETLW	D'191'	;2
	RETLW	D'130'	;
	RETLW	D'69'	;
	RETLW	D'130'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'90'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'130'	;
	RETLW	D'110'	;
	RETLW	D'130'	;

	RETLW	D'195'	;3
	RETLW	D'65'	;
	RETLW	D'165'	;
	RETLW	D'130'	;
	RETLW	D'95'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'130'	;
	RETLW	D'110'	;
	RETLW	D'130'	;
	RETLW	D'140'	;
	RETLW	D'120'	;

	RETLW	D'200'	;4
	RETLW	D'60'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'90'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'130'	;
	RETLW	D'110'	;
	RETLW	D'130'	;
	RETLW	D'140'	;
	RETLW	D'120'	;

	RETLW	D'205'	;5
	RETLW	D'55'	;
	RETLW	D'175'	;
	RETLW	D'130'	;
	RETLW	D'85'	;
	RETLW	D'130'	;
	RETLW	D'155'	;
	RETLW	D'130'	;
	RETLW	D'105'	;
	RETLW	D'130'	;
	RETLW	D'140'	;
	RETLW	D'120'	;

	RETLW	D'208'	;6
	RETLW	D'52'	;
	RETLW	D'178'	;
	RETLW	D'130'	;
	RETLW	D'82'	;
	RETLW	D'130'	;
	RETLW	D'158'	;
	RETLW	D'130'	;
	RETLW	D'102'	;
	RETLW	D'130'	;
	RETLW	D'140'	;
	RETLW	D'120'	;

	RETLW	D'210'	;7
	RETLW	D'50'	;
	RETLW	D'180'	;
	RETLW	D'130'	;
	RETLW	D'80'	;
	RETLW	D'130'	;
	RETLW	D'160'	;
	RETLW	D'130'	;
	RETLW	D'100'	;
	RETLW	D'130'	;
	RETLW	D'140'	;
	RETLW	D'120'	;

	RETLW	D'215'	;8
	RETLW	D'45'	;
	RETLW	D'185'	;
	RETLW	D'130'	;
	RETLW	D'75'	;
	RETLW	D'130'	;
	RETLW	D'165'	;
	RETLW	D'130'	;
	RETLW	D'95'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'110'	;

	RETLW	D'218'	;9
	RETLW	D'42'	;
	RETLW	D'188'	;
	RETLW	D'130'	;
	RETLW	D'72'	;
	RETLW	D'130'	;
	RETLW	D'168'	;
	RETLW	D'130'	;
	RETLW	D'92'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'110'	;

	RETLW	D'220'	;10
	RETLW	D'40'	;
	RETLW	D'190'	;
	RETLW	D'130'	;
	RETLW	D'70'	;
	RETLW	D'130'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'90'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'110'	;


	RETLW	D'226'	;11
	RETLW	D'34'	;
	RETLW	D'196'	;
	RETLW	D'130'	;
	RETLW	D'64'	;
	RETLW	D'130'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'90'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'110'	;



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	700H

DATA_TABLE6
						
	MOVLW	H'07'
	MOVWF	PCLATH	; e[u 0x700`0x7FFԒnɑ
	
	ANDLW	B'11111111'	

	MOVF	DAT,W
	ADDWF	PCL,F

	RETLW	D'230'	;1
	RETLW	D'30'	;
	RETLW	D'200'	;
	RETLW	D'130'	;
	RETLW	D'60'	;
	RETLW	D'130'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'90'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'110'	;

	RETLW	D'226'	;2
	RETLW	D'34'	;
	RETLW	D'196'	;
	RETLW	D'130'	;
	RETLW	D'64'	;
	RETLW	D'130'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'90'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'110'	;

	RETLW	D'220'	;3
	RETLW	D'40'	;
	RETLW	D'190'	;
	RETLW	D'130'	;
	RETLW	D'70'	;
	RETLW	D'130'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'90'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'110'	;

	RETLW	D'215'	;4
	RETLW	D'45'	;
	RETLW	D'185'	;
	RETLW	D'130'	;
	RETLW	D'75'	;
	RETLW	D'130'	;
	RETLW	D'165'	;
	RETLW	D'130'	;
	RETLW	D'95'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'110'	;

	RETLW	D'210'	;5
	RETLW	D'50'	;
	RETLW	D'180'	;
	RETLW	D'130'	;
	RETLW	D'80'	;
	RETLW	D'130'	;
	RETLW	D'160'	;
	RETLW	D'130'	;
	RETLW	D'100'	;
	RETLW	D'130'	;
	RETLW	D'140'	;
	RETLW	D'120'	;

	RETLW	D'205'	;6
	RETLW	D'55'	;
	RETLW	D'175'	;
	RETLW	D'130'	;
	RETLW	D'85'	;
	RETLW	D'130'	;
	RETLW	D'155'	;
	RETLW	D'130'	;
	RETLW	D'105'	;
	RETLW	D'130'	;
	RETLW	D'140'	;
	RETLW	D'120'	;

	RETLW	D'200'	;7
	RETLW	D'60'	;
	RETLW	D'170'	;
	RETLW	D'130'	;
	RETLW	D'90'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'130'	;
	RETLW	D'110'	;
	RETLW	D'130'	;
	RETLW	D'140'	;
	RETLW	D'120'	;

	RETLW	D'195'	;8
	RETLW	D'65'	;
	RETLW	D'165'	;
	RETLW	D'130'	;
	RETLW	D'95'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'130'	;
	RETLW	D'110'	;
	RETLW	D'130'	;
	RETLW	D'140'	;
	RETLW	D'120'	;

	RETLW	D'190'	;9
	RETLW	D'70'	;
	RETLW	D'160'	;
	RETLW	D'130'	;
	RETLW	D'100'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'130'	;
	RETLW	D'110'	;
	RETLW	D'130'	;
	RETLW	D'140'	;
	RETLW	D'120'	;

	RETLW	D'185'	;10
	RETLW	D'75'	;
	RETLW	D'160'	;
	RETLW	D'130'	;
	RETLW	D'100'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'130'	;
	RETLW	D'110'	;
	RETLW	D'130'	;
	RETLW	D'140'	;
	RETLW	D'120'	;

	RETLW	D'180'	;11
	RETLW	D'80'	;
	RETLW	D'160'	;
	RETLW	D'130'	;
	RETLW	D'100'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'130'	;
	RETLW	D'110'	;
	RETLW	D'130'	;
	RETLW	D'140'	;
	RETLW	D'120'	;

	RETLW	D'175'	;12
	RETLW	D'85'	;
	RETLW	D'160'	;
	RETLW	D'130'	;
	RETLW	D'100'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'130'	;
	RETLW	D'110'	;
	RETLW	D'130'	;
	RETLW	D'140'	;
	RETLW	D'120'	;

	RETLW	D'170'	;13
	RETLW	D'90'	;
	RETLW	D'160'	;
	RETLW	D'130'	;
	RETLW	D'100'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'130'	;
	RETLW	D'110'	;
	RETLW	D'130'	;
	RETLW	D'140'	;
	RETLW	D'120'	;

	RETLW	D'165'	;14
	RETLW	D'95'	;
	RETLW	D'160'	;
	RETLW	D'130'	;
	RETLW	D'100'	;
	RETLW	D'130'	;
	RETLW	D'150'	;
	RETLW	D'130'	;
	RETLW	D'110'	;
	RETLW	D'130'	;
	RETLW	D'140'	;
	RETLW	D'120'	;


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	7B0H

TONE_TABLE
						
	MOVLW	H'07'
	MOVWF	PCLATH	; e[u 0x700`0x7FFԒnɑ
	
	ANDLW	B'11111111'	

	MOVF	TONE,W
	ADDWF	PCL,F

	MOVLW	D'5'	;1
	MOVWF	DATA1
	MOVLW	D'40'
	MOVWF	DATA2
	RETURN

	MOVLW	D'6'	;2
	MOVWF	DATA1
	MOVLW	D'33'
	MOVWF	DATA2
	RETURN

	MOVLW	D'7'	;3
	MOVWF	DATA1
	MOVLW	D'25'
	MOVWF	DATA2
	RETURN

	MOVLW	D'8'	;4
	MOVWF	DATA1
	MOVLW	D'19'
	MOVWF	DATA2
	RETURN

	MOVLW	D'4'	;5
	MOVWF	DATA1
	MOVLW	D'48'
	MOVWF	DATA2
	RETURN
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


	END	













